<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".MainActivity">

    <Button
        android:id="@+id/btn_findAll"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="列出本机所有USB设备" />

    <Button
        android:id="@+id/btn_openOne"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="打开我的USB扫描设备" />

    <Button
        android:id="@+id/btn_send"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="发数据" />

    <Button
        android:id="@+id/btn_receive"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="收数据" />

    <TextView
        android:id="@+id/tv_content"
        android:layout_width="400dp"
        android:layout_height="179dp"
        android:text="Hello World!"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_printf"
        android:layout_width="398dp"
        android:layout_height="74dp"
        android:text="debug printf!"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_displayReadData"
        android:layout_width="match_parent"
        android:layout_height="160dp"
        android:text="ReadData" />

</LinearLayout>